#include <sys/types.h>
#include <sys/socket.h>
#include <stdio.h>
#include <sys/un.h>
#include <unistd.h>
#include <netinet/in.h>
#include <unistd.h>
#include <stdlib.h>

/*
 *
 *		Ukazkovy program na predvedeni tcp serveru pro sekvencni obsluhu klientu 
 *
*/
int main()
{
	int server_sockfd, client_sockfd;
	int server_len, client_len;
	struct sockaddr_in server_address;
	struct sockaddr_in client_address;


	server_sockfd = socket( AF_INET, SOCK_STREAM, 0 );
	server_address.sin_family = AF_INET;
	server_address.sin_addr.s_addr = inet_addr( "147.228.183.169" );
	server_address.sin_port = htons( 100 );
	server_len = sizeof( server_address );

	if( bind( server_sockfd, ( struct sockaddr *)&server_address, server_len ) != 0 )
	{
		perror("oops: server-tcp-single");
                exit( 1 );
	}
	
	listen( server_sockfd, 3 );

	while( 1 )
	{
		char ch;
		printf( "server ceka...\n" );
		
		client_len = sizeof( client_address );
		client_sockfd = accept( server_sockfd, ( struct sockaddr *)&client_address, &client_len );
		printf("pripojil se klient\n");	
		printf( "Pripojil se klient z %d\n", inet_ntoa( ( struct in_addr * )&client_address.sin_addr) );

		read( client_sockfd, &ch, 1 );
		printf( "Klient poslal = %c\n", ch );

		ch++;
		sleep( 5 );

		printf( "Server odesila = %c\n", ch );
		write( client_sockfd, &ch, 1 );

		close( client_sockfd );

	}
}

