#include <sys/types.h>
#include <sys/socket.h>
#include <stdio.h>
#include <sys/un.h>
#include <unistd.h>

int main()
{
	int server_sockfd, client_sockfd;	// file descriptor pro server a client
	int server_len, client_len;		// uklada se delka souboru
	struct sockaddr_un server_address;	// struktura popisujici soket pro domenu inet unix
	struct sockaddr_un client_address;

	unlink( "server_socket" );		// smazani soketu

	server_sockfd = socket( AF_UNIX, SOCK_STREAM, 0 );	// vytvoreni soketu, vraci cislo
	server_address.sun_family = AF_UNIX;			// nastaveni domeny

	strcpy( server_address.sun_path, "server_socket" );	// nadefinujeme jmeno soketu
	server_len = sizeof( server_address );			// nacteme delku soketu

	bind( server_sockfd, ( struct sockaddr *)&server_address, server_len );		// nabindovani, vytvori se soket a posloucha na adrese
	
	listen( server_sockfd, 5 );	// posloucha a pocet klientu

	while( 1 )
	{
		char ch;	// znak
		printf( "server ceka...\n" );
		
		client_len = sizeof( client_address );	// zjisteni adresy klienta
		client_sockfd = accept( server_sockfd, ( struct sockaddr *)&client_address, &client_len );	// poslouchame pasivne na soketu

		read( client_sockfd, &ch, 1 );	// cteni z klientskyho soketu
		printf( "Klient poslal = %c\n", ch );

		ch += 9;

		printf( "Server odesila = %c\n", ch );
		write( client_sockfd, &ch, 1 ); // poslu na klientsky soket znak

		close( client_sockfd );		// zavru klientsky soket

	}
}

